<?PHP
/***************************************************************************\
*
*	Copyright (c) 2011 deltra Software GmbH
*	http://www.deltra.de
*
\***************************************************************************/
$errorMessage = "";
$warningVisible = "not-visible";
$outputVisible = "visible";

if (file_exists("../inc/requirements.php"))
{
    require_once("../inc/requirements.php");
}
else
{
    $errorMessage = "Die Datei <b>requirements.php</b> konnte nicht gefunden werden. <br>Bitte &uuml;berpr&uuml;fen Sie,
                ob diese im Verzeichnis \"inc\" der Webshop-Anbindung vorhanden ist.";
    $warningVisible = "visible";
    $outputVisible = "not-visible";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<link href="inc/orgamaxstyle.css" type="text/css" rel="stylesheet" media="screen" />
</head>
<body>
<div id="container">
	<div id="header">
		<div id="navigation">
		<?PHP
		if (!isset($_GET['step'])) {
			$_GET['step'] = "";
		}
		$navi['step1'] = "Schritt 1 - Ausw&auml;hlen des Shopsystems";
		$navi['step2'] = "Schritt 2 - Festlegen der Konstanten";
		$navi['step3'] = "Schritt 3 - Abschluss der Installation";
		switch ($_GET['step'])
		{
			case "":
				$msg_to_tell = $navi['step1'];
				break;
			case "2":
				$msg_to_tell = $navi['step2'];
				break;
			case "3":
				$msg_to_tell = $navi['step3'];
		}
		echo $msg_to_tell;
		?>
		</div>
	</div>
	<div id="main">
        <?php
            // check installed extensions
            if (empty($errorMessage))
            {
                $extensionsNotInstalled = checkExtensions();
                if(!empty($extensionsNotInstalled))
                {
                    $warningVisible = "visible";
                    $outputVisible = "not-visible";
                    $errorMessage = "Die folgenden Extensions m&uuml;ssen installiert sein, damit die Webshop-Schnittstelle eingerichtet und betrieben werden kann.";
                    $extError = "<ul>";
                    foreach($extensionsNotInstalled as $extension)
                    {
                        $extError .= "<li>$extension</li>";
                    }
                    $extError .= "</ul>";
                    $errorMessage .= $extError;
                }
            }

            // check ini values
            if (empty($errorMessage) && SHOW_INI_WARNINGS)
            {
                $importantIniValues = getImportantIniValues();
                $iniValues = array();
                foreach($importantIniValues as $name => $value)
                {
                    switch($name)
                    {
                        case "register_globals":
                            if (!empty($value) && $value != 0) $iniValues[] = $name;
                            break;
                        case "magic_quotes_gpc":
                            if (!empty($value) && $value != 0) $iniValues[] = $name;
                            break;
                        case "magic_quotes_runtime":
                            if (!empty($value) && $value != 0) $iniValues[] = $name;
                            break;
                    }
                }

                if(!empty($iniValues))
                {
                    $warningVisible = "visible";
                    $outputVisible = "not-visible";
                    $errorMessage = "Die folgenden Einstellungen in der php.ini &ouml;ffnen Sicherheitsl&uuml;cken in Ihrem System:<ul>";
                    foreach($iniValues as $value)
                    {
                        $errorMessage .= "<li>$value</li>";
                    }
                    $errorMessage .= "</ul>";
                    $errorMessage .= "<br><p>";
                    $errorMessage .= "M&ouml;chten Sie die Schnittstelle trotzdem einrichten, schalten Sie die Warnungen f&uuml;r die php.ini-Werte in der
                     config.php ab.";
                    $errorMessage .= "</p>";
                }
            }
        ?>
        <div id="warning" class="warning <?php echo $warningVisible; ?>">
            <h1>Warnung:</h1>
            <p><?php echo $errorMessage; ?></p>
        </div>
		<div id="output" class="<?php echo $outputVisible; ?>">
		<?PHP
		include "inc/steps.php";
		?>
		</div>
	</div>
</div>
</body>
</html>
